curl --request GET \
--url https://{host}/product-catalog/v1/Products/ean/{ean}import requests
url = "https://{host}/product-catalog/v1/Products/ean/{ean}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://{host}/product-catalog/v1/Products/ean/{ean}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"name": "<string>",
"externalId": "<string>",
"hierarchyId": "<string>",
"imageLink": "<string>",
"eans": [
"<string>"
],
"brand": {
"id": "<string>",
"name": "<string>"
},
"suppliers": [
{
"id": "<string>",
"name": "<string>"
}
],
"saleUnit": "<string>",
"weightUnit": "<string>",
"unitOfMeasure": "<string>",
"unitsPerPiece": 123,
"isWeightable": true,
"restrictions": [
"Age16"
],
"metadata": {}
}{
"errors": [
{
"name": "<string>",
"message": "<string>",
"details": null
}
]
}Get product by EAN
Returns product by its EAN. Can be configured to return also hierarchy images based on provided query parameters.
Path Parameters
Query Parameters
Response
OK
Represents a product with associated details.
Name of the product.
Identifier of the product in external system.
Identifier of the hierarchy node the product belongs to.
URL of the image associated with the entity.
List of EANs associated with the product.
Represents product's brand.
Show child attributes
Show child attributes
List of suppliers associated with the product.
Show child attributes
Show child attributes
The unit in which the product is sold (e.g., piece, pack, box).
The unit of weight measurement for the product (e.g., kg, g, lb).
The measurement unit used to quantify the product (e.g., liter, meter, piece).
The number of units contained in a single piece of the product.
Indicates if the product is sold by weight.
List of restrictions (e.g., Age16, Age18, etc.) associated with the product.
The restriction type applied to a product.
Age16, Age18, Age20, AlcoholOnElections Additional metadata associated with the product.
Show child attributes
Show child attributes